Introduction to the Atomic Email Hunter

Atomic Email Hunter - Quick Intro

Atomic Email Hunter is developed to extract e-mail addresses from the Internet. All you do is supply a URL or some keywords.. It automatically finds the best (relevant) sites and gathers the e-mail addresses from them. Using Email Hunter you are getting a target mailing list. There are two ways to search e-mail addresses:

Email address extractor URL Search - Simply type in any valid URL in Hunt field and press Enter to begin. Email Hunter will search that URL and any pages it links to. Need customize the searching? Hit Advanced... button and enter some limiters there. It makes your search more specific.

Keyword Search - Type in your choice of keywords and hit Enter. Email Hunter will find the most relevant sites matching the keywords. After finding the sites it will extract e-mail addresses from all of them. It is the best way to create a targeted mailing list.

In the Common Settings window you may define how Email Hunter will search. You may specify the number of simultaneousely processed pages, HTTP protocol settings, proxy server authentification details, e-mail filtering options etc.

Email Hunters' advanced features and ease of use combine to bring you the most effective email address extractor on the market, and at a price that makes it an unbeatable value.


Getting started

Using the Atomic Email Hunter

This is a screenshot of Atomic Email Hunter under Windows XP:
Atomic Email Hunter screenshot

Atomic Email Hunter is very easy to use. Type in a URL or some keywords and press Enter to begin.

Click on Advanced... button and you can set some limiting parameters for your search, such as the search depth and keywords filters. A new pull-down panel will shown to customize the extraction.

Results of e-mail search appear in this window. Each found address takes its own line with some additional information - the name of address' owner and location where this e-mail was found first time. When you are saving the results this additional information could be stored together with a list of addresses. This is a good way to make a targeted mailing list with personalization details.

When e-mail addresses are found you may save them to a file, copy to the Clipboard or export to the Microsoft Word or Excel. Merely, click an appropriate button on the toolbar or choose a comman in main menu.


Advanced e-mail search wizard

Advanced Search wizard

The Wizard helps you to create a new search project and enter some limitation rules. The Wizard is the best starting point for Atomic Email Hunter.

First step: choose how to operate. Either enter and URL address of a site to extract e-mail addresses from it or or type in several keywords to search e-mail addresses on the Web (Atomic Email Hunter will automatically find the best sites for exploring).

Second step: define an URL and page content filtering rules. These parameters are identical with the ones from Advanced panel.

Third step: limit the search here. The Hunting limitation and Hunting depth level parameters are identical with the ones from Advanced panel.


New search

Enter a URL address of a site to explore or type in desired keywords to find the sites for processing. Press OK and Atomic Email Hunter will automatically process the sites and extract e-mail addresses from them.

Clicking over the Show Advanced Search options... opens a Wizard when you may customize the searching step-by-step.

New search of e-mail addresses


Advanced options of email address extraction - search and garther e-mail

Advanced options

If you want to expand your search, click on Advanced... button in main window. This will show a pull-down panel and allow you to define additional settings.
Advanced search of email addresses

You may search on the specified site (by URL) or the entire Web by keywords. When using keywords, the program goes to Google and automatically selects the most relevant sites to search. Once the list of sites is retrieved, the program automatically starts to process the sites and get the addresses from there. The keywords search makes the mailing list with the most relevant target audience!

The main controls of this panel are:

Hunting Limitation. Here All links removes all restrictions and Atomic Email Hunter will explore all links found on all pages. Current site only - this setting limits the search to the URL entered and all sub domains of that URL. Current and sub-folders - this setting limits the search to the URL and path only. No sub domains will be searched.

Hunting depth level. This tells the program how many link levels to follow. Setting it to 1 will search the starting page only. A setting of 2 will search all the pages linked to the first one. And so on.. Starting from a common portal such as Yahoo, the maximum setting of 10 will search nearly all of the web when set Hunting Limitation to All links. For best and relevant results you should keep your searches limited.

URL filtering rules. This either limits the search to specific pages or allows you to skip some of them. The screenshot above limits the search so: Extract e-mail addresses from all the pages (because nothing in Limit To field) excluding the pages with "print" or "faq" in URL address.

Page content filtering. This limits the search to the pages containing typed keywords in its body. The above screenshot limits to extract e-mail addresses only from the addresses containing the any of the words HDD, notebook or CPU inside.

Authentication details. Some sites require a password to access them. The current section allows you to enter this login and password and search the sites.


Search engine scripts editor

Search Engine scripts

Choose menu item Settings / Search Engines / Edit... to open the window for editing the scripts defining Search Engine rules.

Edit Search Engine scripts

Here you may edit the existing, create new and share your own scripts for using Search Engines to find e-mail addresses. Use drop-down listbox to find a script for editing. Once the script is modified you should press Save button to apply the changes or button V to show a small menu to access additional actions:

Edit Search Engine menu Save as - saves the script with new name (NOTE: "SE_name" field should repeat the new name of the script).

New script - creates a new script

Delete script - deletes the currently edited script

Share this script - sends the script to developers for inclusion into the new version of Email Hunter (Why not help us create new scripts and make Email Hunter more powerful?).

Download new scripts - opens the browser to check for the new scripts.

Making the new scripts

Here is a sample script for AltaVista:

REGEDIT4

[HKEY_CURRENT_USER\Software\AtomPark\Atomic Email Hunter]
"SE_url"="http://www.altavista.com/web/results?pg=aq&avkw=xytx&aqmode=s&aqa=%s&aqp=&aqo=&aqn=&aqb=&aqs=&kgs=0&kls=1&dt=tmperiod&d2=0&d0=&d1=&filetype=&rc=dmn&swd=&lh=&sc=on&nbq=100"
"SE_skip"="altavista.com$$$a12.g.akamai.net"
"SE_name"="AltaVista"
What should you change here:

SE_url - a web page what Email Hunter will parse the find the links to sites for "hunting". In the sample above this url is AltaVista's Advanced Search results page (with 100 links). %s will be replaced to encoded keyword that the user had entered.

SE_skip - these links will not added to the "hunting" queue. For example, AltaVista have lots of links to their own pages (altavista.com domain) and links to other resources (a12.g.akamai.net domain). Use $$$ to separate the domains.

SE_name - Search Engine name. You should use the same names for the script and "SE_name" field.


Search e-mail addresses on the specified sites

Search on site

Here you can extract e-mail addresses from the specified pages on the specified site. Atomic Email Hunter will use the search engines to find the relevant web pages on the specified site and then will harvest e-mail addresses from them.

Save to file

The main options here are:

Site address - URL address of a site where you want to search e-mail addresses.

Keywords - some keywords to find the pages to proccess. All other pages will be skipped.

How it works:

For the above screenshot, Atomic Email Hunter will open Google and make the following query:

site:www.eweek.com editorial calendar

Then it will extract e-mail addresses from the provided results.

See also:


Extract e-mail addresses from a list of sites

Search in list

Enter or paste here a list of the links. Atomic Email Hunter will extract e-mail addresses from all listed pages. Also you may specify some limitations.

How to extract e-mail addresses from a list of sites

Some important controls of this window:

Paste - press this button to paste data from the Windows Clipboard.

From file... - press it to load a list of links and keywords from a file.

Scan depth and Scan where - the same as Hunting depth level and Hunting limitation in Advanced Options.

Use previously used hunting limitations - if this box is checked, Atomic Email Hunter will use the settings from Advanced Panel when start the current search.


Common settings - Atomic Email Hunter

Common settings

This window allows you to customize the working of the Atomic Email Hunter.

Connection page

Internet and HTTP connection settings

Here you are setting the options for HTTP protocol. They are used to retieve the pages from Internet.

User agent is a value that Atomic Email Hunter will use when it loads pages from the sites it will search. The recommended value is Internet Explorer, so the sites will think what you are browsing them, but not analizyng the data.

Referer is a URL address which referred you to the page being searched. Some sites need this parameter. The default and recommended value is a blank, change it for the troubleshooting.

Time out is time period when Atomic Email Hunter waits the requetsed page. Increase the value if your Internet connection is too slow.

Retry count is a number of retries to access the page. Sometimes the sites are too busy and do not return a requested page. The three is an optimal value.

HTTP port is a port to access the sites. 80 is standard value and should not be changed

Threads is a number of simultaneousely procesed pages. 10 is a default value. If your Internet connection is fast and your computer is modern then you may increase it, otherwise decrease it to optimize the search speed.

Allow HTTP redirections tells Atomic Email Hunter to follow redirections from HTTP and HTML commands. Check this box to process the sites completely, because many of them do not return a page, but redirects you to another one.

Follow instructions in "robots.txt" - if this box is checked the Atomic Email Hunter will not process the pages disabled in a file "robots.txt" located on the processed web server.

Advanced page

Advanced email extraction settings

Never extract more then XXX e-mails from the same site - if this option is checked, Atomic Email Hunter will not collect more then the specified number of e-mail addresses from a site. For example, if the site www.somesite.com contains 2,500 e-mail addresses and you set 1,500 in the Options, Atomic Email Hunter will skip all the pages on the site as soon as it finds 1,500th address. This option is applied for each site in the queue.

Never crawl more then XXX pages from the same site - if this option is checked, Atomic Email Hunter will skip all pages on the site as soon as it reaches XXXth one.

Max length of link - you can limit the url address length. If the length of the extracted link exceeds this value, it will not be queued.

Priority spidering links - you can specify some pages on the site with the important information. When Atomic Email Hunter finds these pages on the site and they contain e-mail addresses, it will skip other site pages. For example, you can set "feedback contact about" there. If Atomic Email Hunter will find at least one e-mail address there, it will stop scanning the current site and switch to another one.

E-mail address must have the same domain as the site URL - if this option is checked Atomic Email Hunter will extract the addresses with the same domain only. For example, if it finds one@site2.com, two@site2.com and three@site5.com at the site www.site5.com, it will add three@site5.com only. Addresses with other domain names wil be ignored.

Proxy settings page

Proxy server settings

Using of a proxy-server defines if a proxy is being used. If "Use direct Internet connection" is set there then Atomic Email Hunter will request the pages from the sites directly without a proxy use. if "Use custom proxy settings" is set then Atomic Email Hunter will use a proxy server with specified address, port number and authentication info. The default and recommended value is "Use Internet Explorer defaults", in this method Atomic Email Hunter will automatically detect the best proxy server that you are using to surf the Web and use it.

E-mail filters page

E-mail address filtering settings

Here you may define rules to ignore some found e-mail addresses. For example, you may not add the addresses from abuse@ address, FBI's addresses (@fbi.gov) etc. Also you may block addresses from some users, i.e. containing a string with the users name.

If you enter some e-mail addresses in E-mail address must contain or User name must contain, Atomic Email Hunter will extract only addresses containing the specified information. All other addresses will be skipped.

Misc settings page

Here you can set if Atomic Email Hunter should play sound when the extraction is finished.


Save extracted email addresses to a file or Clipboard

Saving

Enter a file name to store the extraction results if you are saving to a file, if you are exporting to the Clipboard then skip it.

Save to file

The main options here are:

Each e-mail address in a new line - if this option is checked then you will get a list of addresses and each e-mail address will take a one line.

All e-mail addresses in a one line - if this options is checked then all addresses will stored in a one line. It is the best option if you are going to paste e-mail in the Outlook or another e-mail client into To, CC or Bcc field.

Saving format is an important field. It defines how the addresses and additional information (owner's name and location where address was found first time) will be saved. You are able to use the macros here:

  • %E - an e-mail address
  • %U - a name of e-mail address owner
  • %L - a location where e-mail address was found first time
How to separate data - set a delimiter of e-mail addresses. It is enabled only in All e-mail addresses in a one line mode.

max number per line - limits the number of e-mail addresses in a one line. It is enabled only in All e-mail addresses in a one line mode.

Finally, when you click OK you will get a file with results like on the sample below:

If you save the e-mail addresses only:

If yoy also want to save the user names, then:

See also:

Export to MS Word/Excel
 Export to Atomic Mail Sender / Verifier / TLD Filter
Advanced Search Wizard
Advanced options
Program settings


Command Line support

Atomic Email Hunter supports command line to automate many specific extraction operation. The syntax is the following:

emh2.exe --site "url" --level NUMBER --links (all|site|folder) --save ("filename"|clipboard|word|excel|ams|amv|atlfd) --saveformat "format" --savelines (1|many) --savesep "separator" --maxperline NUMBER --append --quit

What do these options mean:

Option | Description
--site "url" If this option is used, Atomic Email Hunter will automatically start processing the site from url address. You also can specify some keywords there instead of the site address.

For example:
emh2.exe --site "http://www.amailsender.com"
emh2.exe --site "semiconductor reseller"

--level NUMBER This option is an equivalent for "Hunting depth level" field from Advanced Options panel

For example:
emh2.exe --site "http://www.amailsender.com" --level 7
emh2.exe --site "http://www.aerotags.com/contact" --level 1

--links (all | site | folder) This option is an equivalent for "Hunting limitation" field from Advanced Options panel

For example:
emh2.exe --site "http://www.amailsender.com" --level 7 --links site
emh2.exe --site "http://www.aerotags.com/contact" --level 1 --links folder

--save ("filename" | clipboard | word | excel | ams | amv | atldf)

If this option is used, Atomic Email Hunter will save all extracted email addresses to the specified source (to save to a file simple type in the filename there)

For example:
emh2.exe --site www.apasscracker.com --save word
emh2.exe --site www.emailrelated.com --save amv
emh2.exe --site www.apasscracker.com --save "c:\apc-addresses.txt"
--saveformat FORMAT

When you save results to a file or Windows Clipboard, Atomic Email Hunter usually asks you for the proper format. The saveformat option is the equivalent of it (See also this page).

For example:
emh2.exe --site "London spa hotels" --save Clipboard --saveformat "%E"

--savelines (1| many)

This option is the equivalent for the appropriates radio buttons from Save page. If 1 then all addresses will be saved to a single line, otherwise multi-line output will be generated.

For example:
emh2.exe --site "pets cats" --save "c:\cats.txt" --saveformat "%U <%E>" --savelines many
--savesep SEPARATOR | This defines the separator that will be used to separate the fields in the output. This is the same value as for Save page.
--maxperline NUMBER | This number defines how many addresses per line is allowed. See Save page again to find out more.
--append | If this option is used and you save results to the file then the target file will NOT be overwritten, new data will be appended to it.
--quit | Atomic Email Hunter will close itself after doing all the job.


Plugins for email spider - people search, DMOZ search, email search

Plug-ins

New version of Atomic Email Hunter 3 (and newer) supports plugins technology. This mean that you can expand the program functionality by using and creating the new plugins The program distribution package has four free plugins Other commercial plugins are available at http://www.massreach.com/buy/emh-plugins.htm.

By default, the plugins can be found in Plugins menu. Here is the short review of the built-in plugins:

People Search:

People Search plugins finds the e-mail addresses of the persons by first and last name. To generate a list of the addresses, simply enter the first and/or last name and the program will search the web for the users' email addresses.

Usenet groups:

This plugins connects to the specified newsgroups (see more info about groups here). You can check one or more groups to extract e-mail addresses from the recent postings. You can also use more powerful application to search e-mail addresses in any news servers - Atomic Newsgroups Explorer.

DMOZ Directory:

This plugins is made to process the sites from the specified DMOZ category. How to use it:

    1. Open the Open Directory;
    2. Select a category there;
    3. Copy the URL address of the category to Clipboard;
    4. Paste the URL address in DMOZ Directory plug-in;
    5. Press Extract links from category button;
    6. The review the results (add or edit some items) and press Extract e-mail addresses to start.

Another useful plugin - Links Generator. It can be found in File / Search in list window. This plugin is made to generate a list of the similar links. For example, you specify the template (e.g. http://www.site.com/member.php?id=$$$), starting and ending number (e.g. from 1 to 999) and the program will generate a list of links:

http://www.site.com/member.php?id=001
http://www.site.com/member.php?id=002
http://www.site.com/member.php?id=003
...
http://www.site.com/member.php?id=999

Using the Atomic Email Hunter
Email management software
Registration details


Register Atomic Email Hunter

Buy Atomic Email Hunter now! Register Atomic Email Hunter

The current version of Atomic Email Hunter is distributed under a "free to try" license. That means you may download a trial version for evaluation. The trial version has some features locked (it does not save found e-mail addresses). If you wish to purchase the program for unrestricted use, you need pay the license fee. You will be sent a code to register the software through email.

Why should I register?

Online purchase

To buy Atomic Email Hunter on-line please follow the link below:

http://www.massmailsoftware.com/buy/emh.htm

Telephone and Fax Orders

If using telephone or fax orders, please include product ID: 7446411 to ensure that you are paying for the right product.

Telephone/fax:

Toll Free (US and Canada only): 888-447-1175
Standard (International): 801-444-2837

Check via Postal Mail

Please make sure you are making your check out to "eMetrix". You need to provide all of the information on the regular order form except credit card information. Please make sure you've included the product ID: 7446411 to ensure that you are paying for the right product, and your postal and e-mail address for speedy service.

Please mail checks to:

Emetrix
ATTN: Sales
1648 Willow Dr
Kaysville, UT 84037

Purchase Orders

If using purchase orders, make sure you've included the product ID: 7446411 to ensure that you are paying for the right product.

A purchase order must be faxed or mailed with all necessary information including billing information. Most companies who choose to use the purchase order option have a standard form they use for making these types of orders.

Other Payment Methods are available.

We also accept Western Union international money transfer and PayPal payments.

If you are software developer and have an account at RegNow, RegSoft or Emetrix you may ask about vendor-to-vendor tranfers.

If you have a fresh idea how to register Atomic Email Hunter feel free to contact us. We are always looking for way to improve our service and your experience with us.


Why to register EMH?

Why should I register your software?

For many people, the biggest reason to register is to remove the program restrictions and get rid of the nag screen, which pops up at the most inconvenient times. For example, the unregistered version of Atomic Email Hunter does not allow you to save the extracted e-mail addresses.

Also, registration entitles you to receive technical support with higher priority and minor upgrades to the software for free. Registration may also entitle you to discounts on new software releases from AtomPark Software. We will also send you updates and announcements by email to let you know about what's happening with our products.

Finally, by registering the software, you provide us with the resources and incentive to improve the software with updates, which you receive for free, and to develop additional quality products in the future.


Customer support

E-mail & MSN Messenger:
Feel free to contact us - see feedback details on our site in the Contacts section. We are always happy to answer your questions so you can get the most out of our software.

Phone:
We do not offer phone support. We respond promptly to all emails received and feel this allows us to give you the best service and most complete answers to your questions.

Member Area:
The hottest news, new software releases and important information about your software registration status can be found in Member Area at www.atompark.com/members.


Download the latest version

Downloads

The latest version of Atomic Email Hunter can be downloaded freely from our web site. The permanent location of the distribution package is: http://www.massmailsoftware.com/d/emh.exe.

Also you can visit our site massmailsoftware.com to get the downloadable versions of our email processing software, including the Atomic Mail Sender, the best bulk mailer available on the net and priced so low anyone can afford it.


Email management and processing software

Email management software

We specialize in e-mail management and processing software. On our web site www.massmailsoftware.com you will find downloadable trial versions of our software and the latest news about products and updates.

We have a solution to all of your bulk emailing needs including:

  • Atomic Newsgroup Explorer (recommended) - a software like Atomic Email Hunter, but it extracts e-mail addresses from the newsgroups (NNTP servers). Actually, Atomic Newsgroup Explorer and Atomic Email Hunter are the main email collecting programs in our email grabbers product line.

  • Atomic Mail Sender (recommended) - this is a powerful bulk mailer and the biggest bargain on the internet. It accepts mailing list in .txt and .lst formats and can use the list generated by Email Hunter and Email Logger. With its own built in SMTP server and multi thread capabilities the Atomic Mail Sender turns your computer into a powerful email server capable of sending an unlimited number of emails. And it totally bypasses your ISPs mail server.

  • Atomic List Manager (recommended) - mailing list management utility. It can sort, split, marge, maintain the lists. It has about 20 mailing list operations. Lists of unlimited sizes are supported.

  • Atomic Mail Verifier - e-mail address verification utility. A process of the verification includes up to three steps, making the entire process of e-mail verification more flexible and providing the best results. The list of valid (actually existing) addresses can be later exported to MS Office applications or saved to a file or Clipboard.

  • Atomic Subscription Manager - automatic mailing list processor. This program can subscribe and remove the users from mailing lists automatically.

  • Atomic Email Logger - your hard drive may have hundreds of email addresses on it, but until now that resource has gone untapped. But now, with Email Logger, you can get those addresses that are invisibly stored in program files, browser caches and other places. You can collect email addresses without even going on the internet! The program has also different plug-ins allowing you to extract data from ZIP, RAR, Word, Excel files, Outlook mailboxes etc.

  • Atomic Whois Explorer Atomic Whois Explorer is designed to search through global WHOIS database to extract owners' personal data. Current version of the program is capable of retrieving all contact e-mail addresses, phone and fax numbers, country name and expiration dates. Once the list of domain is loaded and processed, the program imports all found data to a text file, Windows Clipboard or any MS Office application.

  • IE Contacts Spy - automatically extracts and saves contact information from every web site visited. These contacts include e-mail addresses, telephone and fax numbers, ICQ, Yahoo Messenger, AOL Instant Messenger and MSN Messenger ID numbers. The program works as a plug-in for MS Internet Explorer and builds itself into IE shell

  • Atomic CD Email Extractor - a small but very fast and easy to use application to gather e-mail addresses from CD/DVD e-mail collections. Start the program and click the start button. The rest is automatic.

Stop by our site and see these and the rest of our titles.


Export to Atomic Mail Sender / Verifier / TLD Filter

Clicking the appropriate button on toolbar or choosing the menu item Results / Export to Excel/Word you can export all found e-mail addresses to the MS Office application.

Please note: free trial version of Atomic Email Hunter can not save results. You have to register it.

Below is the sample how Atomic Email Hunter exports data to Atomic Mail Sender and Verifier:

Atomic Mail Sender:

Atomic Mail Verifier:

Atomic TLD Filter:

See also:

Export to file / Windows Clipboard
 Export to MS Word / Excel
Advanced Search Wizard
Advanced options
Program settings


Export to MS Excel or Word

Export to Microsoft Excel / Word

Clicking the appropriate button on toolbar or choosing the menu item Results / Export to Excel/Word you can export all found e-mail addresses to the MS Office application.

Please note: free trial version of Atomic Email Hunter can not save results. You have to register it.

Below is the sample how Atomic Email Hunter exports data to MS Excel and Word:

Microsoft Excel:

Microsoft Word:

See also:

Export to file / Windows Clipboard
 Export to Atomic Mail Sender / Verifier / TLD Filter
Advanced Search Wizard
Advanced options
Program settings